最近看到阿里云后台提示了织梦dedecms的支付模块注入漏洞导致SQL注入。引起的文件是/include/payment/alipay.php文件,下面告诉大家修复方法:
 
1601950566-137df476a4f819c
 
阿里云提示织梦dedecms支付模块漏洞解决办法
 
 
 
找到并打开/include/payment/alipay.php文件,
 
 
 
在里面找到如下代码:
 
       $order_sn = trim($_GET[‘out_trade_no’]);
 
 
 
将其修改为如下代码:
 
       $order_sn = trim(addslashes($_GET[‘out_trade_no’]));
 
 
 
修改完成后保存并替换原来的文件即可。